Update Folder Member
Allows an owner or editor of a shared folder to update another member’s permissions.
Required scope: sharing.write
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Team Admin)
This endpoint does not support apps with the app folder permission.
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
The new access level for member. AccessLevel.owner
is disallowed.
The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.
The member of the shared folder to update. Only the
MemberSelector.dropbox_id may be set at this time.
Response headers
Response
The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.